org.icefaces.ace.event

## Class MapEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - org.icefaces.ace.event.MapEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class MapEvent
      extends javax.faces.event.FacesEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapEvent(javax.faces.component.UIComponent event, GMap gmap, javax.faces.component.UIComponent parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GMap` | `getGMap()`
    `javax.faces.component.UIComponent` | `getParent()`
    `boolean` | `isAppropriateListener(javax.faces.event.FacesListener faceslistener)`
    `void` | `processListener(javax.faces.event.FacesListener faceslistener)`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MapEvent

          public MapEvent(javax.faces.component.UIComponent event,
                          GMap gmap,
                          javax.faces.component.UIComponent parent)

  - ### Method Detail

    - #### isAppropriateListener

          public boolean isAppropriateListener(javax.faces.event.FacesListener faceslistener)

      Specified by:
        `isAppropriateListener` in class `javax.faces.event.FacesEvent`

    - #### processListener

          public void processListener(javax.faces.event.FacesListener faceslistener)

      Specified by:
        `processListener` in class `javax.faces.event.FacesEvent`

    - #### getGMap

          public GMap getGMap()

    - #### getParent

          public javax.faces.component.UIComponent getParent()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.